DROP TABLE IF EXISTS dbo.Persons;
GO
CREATE TABLE dbo.Persons(
	Name VARCHAR(50) MASKED WITH (FUNCTION = 'default()'),
	Email VARCHAR(100) MASKED WITH (FUNCTION = 'email()'),
	SSN   CHAR(11) MASKED WITH (FUNCTION = 'partial(0, "XXX-XX-", 4)') NULL,
	Phone VARCHAR(15) MASKED WITH (FUNCTION = 'partial(5, "XXXXXXX", 0)'),
	Age TINYINT MASKED WITH (FUNCTION = 'random(1,200)'),
	BirthDate DATE MASKED WITH (FUNCTION = 'default()'),
	CCNumber CHAR(19) MASKED WITH (FUNCTION = 'partial(0, "XXXX-XXXX-XXXX-", 4)')
	);
INSERT INTO dbo.Persons
VALUES ('Wayne', 'wayne@waynesheffield.com', '123-45-6789', '8304926799', 100, DATEADD(YEAR, -75, GETDATE()), '1234-5678-9012-3456')
GO

SELECT  *
FROM	dbo.Persons;

DROP USER IF EXISTS DataMasking;
CREATE USER DataMasking WITHOUT LOGIN;
GRANT SELECT ON dbo.Persons to DataMasking;
GO

EXECUTE AS USER = 'DataMasking';
SELECT  *
FROM	dbo.Persons;
REVERT;

